<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>SI-BKD Kegiatan</title>
</head>
<body>

<div layout:fragment="main" class="container">
  <div class="row justify-content-center">
    <div class="col-md-11">
      <div th:if="${success != null}" class="alert alert-success" role="alert">
        <span th:text="${success}"></span>
      </div>

      <div th:if="${hapus != null}" class="alert alert-danger" role="alert">
        <span th:text="${hapus}"></span>
      </div>

      <div class="row mb-4">
        <div class="col-md-8">
          <h3 class="text-black" th:text="${keterangan}">Daftar Perguruan Tinggi</h3>
        </div>
        <div class="col-md-4 justify-content-end" align="right">
          <a class="btn btn-outline-success pull-right" th:href="${'/kegiatan/'+bidang+'/baru'}">+ Tambah Kegiatan</a>
        </div>
      </div>
      <div class="row mb-2">
        <div class="col-md-12 table-responsive">
          <table class="table table-striped table-responsive table-hover">
            <thead class="table-dark bg-success" style="--bs-table-bg:bg-success;">
            <tr>
              <th class="p-3">No</th>
              <th class="p-3">Kegiatan</th>
              <th class="p-3">Template Deskripsi</th>
              <th class="p-3" colspan="2"></th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="dataKegiatan,row : ${listKegiatan}">
              <td class="align-middle" align="right" th:text="${(row.index + 1) + (listKegiatan.number * listKegiatan.size)}">1</td>
              <td class="align-middle" th:text="${dataKegiatan.getNamaKegiatan()}">Adi Mulya Suprayogi</td>
              <td class="align-middle" th:text="${dataKegiatan.getTemplate()}">suprayogi20@gmail.com</td>
              <td class="align-middle" width="5px">
                <a class="btn btn-warning" th:href="${'/kegiatan/' + bidang + '/edit?kegiatan=' +dataKegiatan.getId()}">Edit</a>
              </td>
              <td class="align-middle" width="5px">
                <button type="button" class="btn btn-danger" data-bs-toggle="modal"  th:attr="data-bs-target='#modal-hapus'+${dataKegiatan.getId()}">
                  Hapus
                </button>


                <div class="modal fade " th:id="modal-hapus+${dataKegiatan.getId()}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                  <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                      <div class="modal-header">
                        <h5 class="modal-title" style="color: #F78100">Konfirmasi Hapus</h5>
                      </div>
                      <div class="modal-body">
                        <h5>Apakah Anda yakin ingin menghapus data tersebut ?</h5>
                      </div>
                      <div class="modal-footer">
                        <form class="d-flex" th:action="${'/kegiatan/'+bidang+'/hapus'}" method="post">
                          <input type="hidden" name="kegiatan" th:value="${dataKegiatan.getId()}">
                          <button type="button" class="btn btn-outline-secondary pull-left" data-bs-dismiss="modal">Batal</button>
                          <button type="submit" class="btn btn-danger mx-2">Haopus</button>
                        </form>
                      </div>
                    </div>
                  </div>
                </div>
              </td>
            </tr>

            </tbody>
          </table>
        </div>
      </div>
      <div class="row mb-5">
        <nav aria-label="Page navigation example" style="--bs-pagination-active-bg: #187442; --bs-pagination-active-border-color: #0a53be">
          <ul class="pagination" style="--bs-pagination-active-bg: #187442; --bs-pagination-active-border-color: #0a53be; --bs-pagination-active-color: #0a53be" sd:pagination="full">
          </ul>
        </nav>
      </div>

    </div>
  </div>

</div>
</body>
</html>